import React, { Component } from 'react';
import PropTypes from 'prop-types';

class ProjectRow extends Component {
  render() {
    return (
      <tr className="tool-row">
        <td>{this.props.project.name}</td>
        <td>{this.props.project.type}</td>
        <td>{this.props.project.path}</td>
        <td>
          <div className="checkbox"><input type="checkbox" checked={this.props.project.archived} readOnly /></div>
        </td>
      </tr>
    );
  }
}

ProjectRow.propTypes = {
  project: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default ProjectRow;
