import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import { projectArchive, showProjectDetailModal } from '../actions/index';
import ProjectsTable from '../components/projects_tile';

function mapStateToProps(state) {
  return {
    projects: state.projects
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      projectArchive: bindActionCreators(projectArchive, dispatch),
      showProjectDetailModal: bindActionCreators(showProjectDetailModal, dispatch)
    }
  };
}
export default connect(mapStateToProps, mapDispatchToProps)(ProjectsTable);
