import { reduxForm } from 'redux-form';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import { submitIssueToRollbar } from '../actions/index';
import ReportIssue from '../components/report_issue';

function mapStateToProps({ userSettings }) {
  return { userSettings };
}

function mapDispatchToProps(dispatch) {
  return {
    submitIssueToRollbar: bindActionCreators(submitIssueToRollbar, dispatch)
  };
}

const ReportIssueComponent = connect(mapStateToProps, mapDispatchToProps)(ReportIssue);
export default reduxForm({
  form: 'reportIssue' // a unique identifier for this form
})(ReportIssueComponent);
