import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import Services from '../components/services';
import { showServicesModal, tabClick } from '../actions/index';

function mapStateToProps(state) {
  return {
    services: state.services,
    isShowingModal: state.isShowingModal
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      showServicesModal: bindActionCreators(showServicesModal, dispatch),
      tabClick: bindActionCreators(tabClick, dispatch)
    }
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(Services);

