import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import ServiceLineItem from '../components/services_item';
import { showServicesModal } from '../actions/index';

function mapStateToProps(state) {
  return {
    isShowingModal: state.isShowingModal
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      showServicesModal: bindActionCreators(showServicesModal, dispatch)
    }
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(ServiceLineItem);
