import { combineReducers } from 'redux';
import { reducer as formReducer } from 'redux-form';
import ToolsReducer from './reducer_tools';
import ServiceReducer from './service_reducer';
import UserSettingsReducer from './reducer_usersettings';
import NewProjectReducer from './new_project_reducer';
import Projects from './project_list_reducer';
import ProjectDetailReducer from './project_detail_reducer';
import User from './NavBar_reducer';
import ModalReducer from './modal-reducer';
import SelectedSection from './selected-section';

const rootReducer = combineReducers({
  tools: ToolsReducer,
  form: formReducer,
  services: ServiceReducer,
  userSettings: UserSettingsReducer,
  newProject: NewProjectReducer,
  projects: Projects,
  selectedProject: ProjectDetailReducer,
  user: User,
  isShowingModal: ModalReducer,
  selectedSection: SelectedSection
});

export default rootReducer;
