import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import ToolSettings from '../components/setting';
import { setConfigSettings } from '../actions/index';

function mapStateToProps(state) {
  return {
    tools: state.tools
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      configSettings: bindActionCreators(setConfigSettings, dispatch)
    }
  };
}
export default connect(mapStateToProps, mapDispatchToProps)(ToolSettings);
